diff --git a/guava/src/com/google/common/util/concurrent/ClosingFuture.java b/guava/src/com/google/common/util/concurrent/ClosingFuture.java
index 8859fbc..787c59c 100644
--- a/guava/src/com/google/common/util/concurrent/ClosingFuture.java
+++ b/guava/src/com/google/common/util/concurrent/ClosingFuture.java
@@ -36,17 +36,11 @@ import static java.util.logging.Level.FINER;
 import static java.util.logging.Level.SEVERE;
 import static java.util.logging.Level.WARNING;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.Function;
 import com.google.common.collect.FluentIterable;
-import com.google.common.collect.ImmutableList;
 import com.google.common.util.concurrent.ClosingFuture.Combiner.AsyncCombiningCallable;
 import com.google.common.util.concurrent.ClosingFuture.Combiner.CombiningCallable;
 import com.google.common.util.concurrent.Futures.FutureCombiner;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotMock;
-import com.google.j2objc.annotations.RetainedWith;
 import java.io.Closeable;
 import java.util.IdentityHashMap;
 import java.util.Map;
@@ -60,7 +54,6 @@ import java.util.concurrent.RejectedExecutionException;
 import java.util.concurrent.atomic.AtomicReference;
 import java.util.logging.Logger;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A step in a pipeline of an asynchronous computation. When the last step in the computation is
@@ -190,11 +183,10 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @since 30.0
  */
 // TODO(dpb): Consider reusing one CloseableList for the entire pipeline, modulo combinations.
-@Beta // @Beta for one release.
-@DoNotMock("Use ClosingFuture.from(Futures.immediate*Future)")
+// @Beta for one release.
 @ElementTypesAreNonnullByDefault
 // TODO(dpb): GWT compatibility.
-public final class ClosingFuture<V extends @Nullable Object> {
+public final class ClosingFuture<V extends Object> {
 
   private static final Logger logger = Logger.getLogger(ClosingFuture.class.getName());
 
@@ -203,7 +195,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * done.
    */
   public static final class DeferredCloser {
-    @RetainedWith private final CloseableList list;
+    private final CloseableList list;
 
     DeferredCloser(CloseableList list) {
       this.list = list;
@@ -232,9 +224,8 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * @param closingExecutor the object will be closed on this executor
      * @return the first argument
      */
-    @CanIgnoreReturnValue
     @ParametricNullness
-    public <C extends @Nullable Object & @Nullable AutoCloseable> C eventuallyClose(
+    public <C extends Object & AutoCloseable> C eventuallyClose(
         @ParametricNullness C closeable, Executor closingExecutor) {
       checkNotNull(closingExecutor);
       if (closeable != null) {
@@ -250,7 +241,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V> the type of the result
    */
   @FunctionalInterface
-  public interface ClosingCallable<V extends @Nullable Object> {
+  public interface ClosingCallable<V extends Object> {
     /**
      * Computes a result, or throws an exception if unable to do so.
      *
@@ -269,7 +260,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @since 30.1
    */
   @FunctionalInterface
-  public interface AsyncClosingCallable<V extends @Nullable Object> {
+  public interface AsyncClosingCallable<V extends Object> {
     /**
      * Computes a result, or throws an exception if unable to do so.
      *
@@ -287,7 +278,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <U> the type of the result of the function
    */
   @FunctionalInterface
-  public interface ClosingFunction<T extends @Nullable Object, U extends @Nullable Object> {
+  public interface ClosingFunction<T extends Object, U extends Object> {
 
     /**
      * Applies this function to an input, or throws an exception if unable to do so.
@@ -307,7 +298,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <U> the type of the result of the function
    */
   @FunctionalInterface
-  public interface AsyncClosingFunction<T extends @Nullable Object, U extends @Nullable Object> {
+  public interface AsyncClosingFunction<T extends Object, U extends Object> {
     /**
      * Applies this function to an input, or throws an exception if unable to do so.
      *
@@ -328,7 +319,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V> the type of the value of a successful operation
    * @see ClosingFuture#finishToValueAndCloser(ValueAndCloserConsumer, Executor)
    */
-  public static final class ValueAndCloser<V extends @Nullable Object> {
+  public static final class ValueAndCloser<V extends Object> {
 
     private final ClosingFuture<? extends V> closingFuture;
 
@@ -374,7 +365,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @see ClosingFuture#finishToValueAndCloser(ValueAndCloserConsumer, Executor)
    */
   @FunctionalInterface
-  public interface ValueAndCloserConsumer<V extends @Nullable Object> {
+  public interface ValueAndCloserConsumer<V extends Object> {
 
     /** Accepts a {@link ValueAndCloser} for the last step in a {@link ClosingFuture} pipeline. */
     void accept(ValueAndCloser<V> valueAndCloser);
@@ -386,7 +377,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @throws java.util.concurrent.RejectedExecutionException if the task cannot be scheduled for
    *     execution
    */
-  public static <V extends @Nullable Object> ClosingFuture<V> submit(
+  public static <V extends Object> ClosingFuture<V> submit(
       ClosingCallable<V> callable, Executor executor) {
     return new ClosingFuture<>(callable, executor);
   }
@@ -398,7 +389,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     execution
    * @since 30.1
    */
-  public static <V extends @Nullable Object> ClosingFuture<V> submitAsync(
+  public static <V extends Object> ClosingFuture<V> submitAsync(
       AsyncClosingCallable<V> callable, Executor executor) {
     return new ClosingFuture<>(callable, executor);
   }
@@ -410,7 +401,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * implements {@link Closeable}. In order to start a pipeline with a value that will be closed
    * when the pipeline is done, use {@link #submit(ClosingCallable, Executor)} instead.
    */
-  public static <V extends @Nullable Object> ClosingFuture<V> from(ListenableFuture<V> future) {
+  public static <V extends Object> ClosingFuture<V> from(ListenableFuture<V> future) {
     return new ClosingFuture<V>(future);
   }
 
@@ -436,7 +427,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     ClosingFuture#from}.
    */
   @Deprecated
-  public static <C extends @Nullable Object & @Nullable AutoCloseable>
+  public static <C extends Object & AutoCloseable>
       ClosingFuture<C> eventuallyClosing(
           ListenableFuture<C> future, final Executor closingExecutor) {
     checkNotNull(closingExecutor);
@@ -498,7 +489,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @throws IllegalStateException if a {@code ClosingFuture} has already been derived from any of
    *     the arguments, or if any has already been {@linkplain #finishToFuture() finished}
    */
-  public static <V1 extends @Nullable Object, V2 extends @Nullable Object>
+  public static <V1 extends Object, V2 extends Object>
       Combiner2<V1, V2> whenAllSucceed(ClosingFuture<V1> future1, ClosingFuture<V2> future2) {
     return new Combiner2<>(future1, future2);
   }
@@ -514,7 +505,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     the arguments, or if any has already been {@linkplain #finishToFuture() finished}
    */
   public static <
-          V1 extends @Nullable Object, V2 extends @Nullable Object, V3 extends @Nullable Object>
+          V1 extends Object, V2 extends Object, V3 extends Object>
       Combiner3<V1, V2, V3> whenAllSucceed(
           ClosingFuture<V1> future1, ClosingFuture<V2> future2, ClosingFuture<V3> future3) {
     return new Combiner3<>(future1, future2, future3);
@@ -531,10 +522,10 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     the arguments, or if any has already been {@linkplain #finishToFuture() finished}
    */
   public static <
-          V1 extends @Nullable Object,
-          V2 extends @Nullable Object,
-          V3 extends @Nullable Object,
-          V4 extends @Nullable Object>
+          V1 extends Object,
+          V2 extends Object,
+          V3 extends Object,
+          V4 extends Object>
       Combiner4<V1, V2, V3, V4> whenAllSucceed(
           ClosingFuture<V1> future1,
           ClosingFuture<V2> future2,
@@ -554,11 +545,11 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     the arguments, or if any has already been {@linkplain #finishToFuture() finished}
    */
   public static <
-          V1 extends @Nullable Object,
-          V2 extends @Nullable Object,
-          V3 extends @Nullable Object,
-          V4 extends @Nullable Object,
-          V5 extends @Nullable Object>
+          V1 extends Object,
+          V2 extends Object,
+          V3 extends Object,
+          V4 extends Object,
+          V5 extends Object>
       Combiner5<V1, V2, V3, V4, V5> whenAllSucceed(
           ClosingFuture<V1> future1,
           ClosingFuture<V2> future2,
@@ -690,7 +681,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     one, or if this {@code ClosingFuture} has already been {@linkplain #finishToFuture()
    *     finished}
    */
-  public <U extends @Nullable Object> ClosingFuture<U> transform(
+  public <U extends Object> ClosingFuture<U> transform(
       final ClosingFunction<? super V, U> function, Executor executor) {
     checkNotNull(function);
     AsyncFunction<V, U> applyFunction =
@@ -784,7 +775,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    *     one, or if this {@code ClosingFuture} has already been {@linkplain #finishToFuture()
    *     finished}
    */
-  public <U extends @Nullable Object> ClosingFuture<U> transformAsync(
+  public <U extends Object> ClosingFuture<U> transformAsync(
       final AsyncClosingFunction<? super V, U> function, Executor executor) {
     checkNotNull(function);
     AsyncFunction<V, U> applyFunction =
@@ -828,7 +819,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param function transforms the value of a {@code ClosingFuture} step to a {@link
    *     ListenableFuture} with the value of a derived step
    */
-  public static <V extends @Nullable Object, U extends @Nullable Object>
+  public static <V extends Object, U extends Object>
       AsyncClosingFunction<V, U> withoutCloser(final AsyncFunction<V, U> function) {
     checkNotNull(function);
     return new AsyncClosingFunction<V, U>() {
@@ -1098,7 +1089,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
         executor);
   }
 
-  private static <C extends @Nullable Object, V extends C> void provideValueAndCloser(
+  private static <C extends Object, V extends C> void provideValueAndCloser(
       ValueAndCloserConsumer<C> consumer, ClosingFuture<V> closingFuture) {
     consumer.accept(new ValueAndCloser<C>(closingFuture));
   }
@@ -1119,7 +1110,6 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @return {@code false} if the step could not be cancelled, typically because it has already
    *     completed normally; {@code true} otherwise
    */
-  @CanIgnoreReturnValue
   public boolean cancel(boolean mayInterruptIfRunning) {
     logger.log(FINER, "cancelling {0}", this);
     boolean cancelled = future.cancel(mayInterruptIfRunning);
@@ -1134,7 +1124,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
     closeables.close();
   }
 
-  private <U extends @Nullable Object> ClosingFuture<U> derive(FluentFuture<U> future) {
+  private <U extends Object> ClosingFuture<U> derive(FluentFuture<U> future) {
     ClosingFuture<U> derived = new ClosingFuture<>(future);
     becomeSubsumedInto(derived.closeables);
     return derived;
@@ -1171,7 +1161,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      *     AsyncCombiningCallable#call(DeferredCloser, Peeker)}
      */
     @ParametricNullness
-    public final <D extends @Nullable Object> D getDone(ClosingFuture<D> closingFuture)
+    public final <D extends Object> D getDone(ClosingFuture<D> closingFuture)
         throws ExecutionException {
       checkState(beingCalled);
       checkArgument(futures.contains(closingFuture));
@@ -1179,7 +1169,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
     }
 
     @ParametricNullness
-    private <V extends @Nullable Object> V call(
+    private <V extends Object> V call(
         CombiningCallable<V> combiner, CloseableList closeables) throws Exception {
       beingCalled = true;
       CloseableList newCloseables = new CloseableList();
@@ -1191,7 +1181,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
       }
     }
 
-    private <V extends @Nullable Object> FluentFuture<V> callAsync(
+    private <V extends Object> FluentFuture<V> callAsync(
         AsyncCombiningCallable<V> combiner, CloseableList closeables) throws Exception {
       beingCalled = true;
       CloseableList newCloseables = new CloseableList();
@@ -1230,8 +1220,6 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * }</pre>
    */
   // TODO(cpovirk): Use simple name instead of fully qualified after we stop building with JDK 8.
-  @com.google.errorprone.annotations.DoNotMock(
-      "Use ClosingFuture.whenAllSucceed() or .whenAllComplete() instead.")
   public static class Combiner {
 
     private final CloseableList closeables = new CloseableList();
@@ -1242,7 +1230,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * @param <V> the type of the result
      */
     @FunctionalInterface
-    public interface CombiningCallable<V extends @Nullable Object> {
+    public interface CombiningCallable<V extends Object> {
       /**
        * Computes a result, or throws an exception if unable to do so.
        *
@@ -1263,7 +1251,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * @param <V> the type of the result
      */
     @FunctionalInterface
-    public interface AsyncCombiningCallable<V extends @Nullable Object> {
+    public interface AsyncCombiningCallable<V extends Object> {
       /**
        * Computes a {@link ClosingFuture} result, or throws an exception if unable to do so.
        *
@@ -1302,7 +1290,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>If the combiningCallable throws an {@code ExecutionException}, the cause of the thrown
      * {@code ExecutionException} will be extracted and used as the failure of the derived step.
      */
-    public <V extends @Nullable Object> ClosingFuture<V> call(
+    public <V extends Object> ClosingFuture<V> call(
         final CombiningCallable<V> combiningCallable, Executor executor) {
       Callable<V> callable =
           new Callable<V>() {
@@ -1359,7 +1347,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>The same warnings about doing heavyweight operations within {@link
      * ClosingFuture#transformAsync(AsyncClosingFunction, Executor)} apply here.
      */
-    public <V extends @Nullable Object> ClosingFuture<V> callAsync(
+    public <V extends Object> ClosingFuture<V> callAsync(
         final AsyncCombiningCallable<V> combiningCallable, Executor executor) {
       AsyncCallable<V> asyncCallable =
           new AsyncCallable<V>() {
@@ -1379,7 +1367,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
       return derived;
     }
 
-    private FutureCombiner<@Nullable Object> futureCombiner() {
+    private FutureCombiner<Object> futureCombiner() {
       return allMustSucceed
           ? Futures.whenAllSucceed(inputFutures())
           : Futures.whenAllComplete(inputFutures());
@@ -1406,7 +1394,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V1> the type returned by the first future
    * @param <V2> the type returned by the second future
    */
-  public static final class Combiner2<V1 extends @Nullable Object, V2 extends @Nullable Object>
+  public static final class Combiner2<V1 extends Object, V2 extends Object>
       extends Combiner {
 
     /**
@@ -1419,7 +1407,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface ClosingFunction2<
-        V1 extends @Nullable Object, V2 extends @Nullable Object, U extends @Nullable Object> {
+        V1 extends Object, V2 extends Object, U extends Object> {
 
       /**
        * Applies this function to two inputs, or throws an exception if unable to do so.
@@ -1444,7 +1432,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface AsyncClosingFunction2<
-        V1 extends @Nullable Object, V2 extends @Nullable Object, U extends @Nullable Object> {
+        V1 extends Object, V2 extends Object, U extends Object> {
 
       /**
        * Applies this function to two inputs, or throws an exception if unable to do so.
@@ -1481,7 +1469,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>If the function throws an {@code ExecutionException}, the cause of the thrown {@code
      * ExecutionException} will be extracted and used as the failure of the derived step.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> call(
+    public <U extends Object> ClosingFuture<U> call(
         final ClosingFunction2<V1, V2, U> function, Executor executor) {
       return call(
           new CombiningCallable<U>() {
@@ -1535,7 +1523,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>The same warnings about doing heavyweight operations within {@link
      * ClosingFuture#transformAsync(AsyncClosingFunction, Executor)} apply here.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> callAsync(
+    public <U extends Object> ClosingFuture<U> callAsync(
         final AsyncClosingFunction2<V1, V2, U> function, Executor executor) {
       return callAsync(
           new AsyncCombiningCallable<U>() {
@@ -1563,7 +1551,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V3> the type returned by the third future
    */
   public static final class Combiner3<
-          V1 extends @Nullable Object, V2 extends @Nullable Object, V3 extends @Nullable Object>
+          V1 extends Object, V2 extends Object, V3 extends Object>
       extends Combiner {
     /**
      * A function that returns a value when applied to the values of the three futures passed to
@@ -1576,10 +1564,10 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface ClosingFunction3<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        U extends Object> {
       /**
        * Applies this function to three inputs, or throws an exception if unable to do so.
        *
@@ -1608,10 +1596,10 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface AsyncClosingFunction3<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        U extends Object> {
       /**
        * Applies this function to three inputs, or throws an exception if unable to do so.
        *
@@ -1653,7 +1641,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>If the function throws an {@code ExecutionException}, the cause of the thrown {@code
      * ExecutionException} will be extracted and used as the failure of the derived step.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> call(
+    public <U extends Object> ClosingFuture<U> call(
         final ClosingFunction3<V1, V2, V3, U> function, Executor executor) {
       return call(
           new CombiningCallable<U>() {
@@ -1711,7 +1699,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>The same warnings about doing heavyweight operations within {@link
      * ClosingFuture#transformAsync(AsyncClosingFunction, Executor)} apply here.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> callAsync(
+    public <U extends Object> ClosingFuture<U> callAsync(
         final AsyncClosingFunction3<V1, V2, V3, U> function, Executor executor) {
       return callAsync(
           new AsyncCombiningCallable<U>() {
@@ -1744,10 +1732,10 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V4> the type returned by the fourth future
    */
   public static final class Combiner4<
-          V1 extends @Nullable Object,
-          V2 extends @Nullable Object,
-          V3 extends @Nullable Object,
-          V4 extends @Nullable Object>
+          V1 extends Object,
+          V2 extends Object,
+          V3 extends Object,
+          V4 extends Object>
       extends Combiner {
     /**
      * A function that returns a value when applied to the values of the four futures passed to
@@ -1761,11 +1749,11 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface ClosingFunction4<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        V4 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        V4 extends Object,
+        U extends Object> {
       /**
        * Applies this function to four inputs, or throws an exception if unable to do so.
        *
@@ -1797,11 +1785,11 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface AsyncClosingFunction4<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        V4 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        V4 extends Object,
+        U extends Object> {
       /**
        * Applies this function to four inputs, or throws an exception if unable to do so.
        *
@@ -1849,7 +1837,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>If the function throws an {@code ExecutionException}, the cause of the thrown {@code
      * ExecutionException} will be extracted and used as the failure of the derived step.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> call(
+    public <U extends Object> ClosingFuture<U> call(
         final ClosingFunction4<V1, V2, V3, V4, U> function, Executor executor) {
       return call(
           new CombiningCallable<U>() {
@@ -1908,7 +1896,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>The same warnings about doing heavyweight operations within {@link
      * ClosingFuture#transformAsync(AsyncClosingFunction, Executor)} apply here.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> callAsync(
+    public <U extends Object> ClosingFuture<U> callAsync(
         final AsyncClosingFunction4<V1, V2, V3, V4, U> function, Executor executor) {
       return callAsync(
           new AsyncCombiningCallable<U>() {
@@ -1943,11 +1931,11 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * @param <V5> the type returned by the fifth future
    */
   public static final class Combiner5<
-          V1 extends @Nullable Object,
-          V2 extends @Nullable Object,
-          V3 extends @Nullable Object,
-          V4 extends @Nullable Object,
-          V5 extends @Nullable Object>
+          V1 extends Object,
+          V2 extends Object,
+          V3 extends Object,
+          V4 extends Object,
+          V5 extends Object>
       extends Combiner {
     /**
      * A function that returns a value when applied to the values of the five futures passed to
@@ -1963,12 +1951,12 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface ClosingFunction5<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        V4 extends @Nullable Object,
-        V5 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        V4 extends Object,
+        V5 extends Object,
+        U extends Object> {
       /**
        * Applies this function to five inputs, or throws an exception if unable to do so.
        *
@@ -2002,12 +1990,12 @@ public final class ClosingFuture<V extends @Nullable Object> {
      */
     @FunctionalInterface
     public interface AsyncClosingFunction5<
-        V1 extends @Nullable Object,
-        V2 extends @Nullable Object,
-        V3 extends @Nullable Object,
-        V4 extends @Nullable Object,
-        V5 extends @Nullable Object,
-        U extends @Nullable Object> {
+        V1 extends Object,
+        V2 extends Object,
+        V3 extends Object,
+        V4 extends Object,
+        V5 extends Object,
+        U extends Object> {
       /**
        * Applies this function to five inputs, or throws an exception if unable to do so.
        *
@@ -2060,7 +2048,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>If the function throws an {@code ExecutionException}, the cause of the thrown {@code
      * ExecutionException} will be extracted and used as the failure of the derived step.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> call(
+    public <U extends Object> ClosingFuture<U> call(
         final ClosingFunction5<V1, V2, V3, V4, V5, U> function, Executor executor) {
       return call(
           new CombiningCallable<U>() {
@@ -2121,7 +2109,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
      * <p>The same warnings about doing heavyweight operations within {@link
      * ClosingFuture#transformAsync(AsyncClosingFunction, Executor)} apply here.
      */
-    public <U extends @Nullable Object> ClosingFuture<U> callAsync(
+    public <U extends Object> ClosingFuture<U> callAsync(
         final AsyncClosingFunction5<V1, V2, V3, V4, V5, U> function, Executor executor) {
       return callAsync(
           new AsyncCombiningCallable<U>() {
@@ -2203,7 +2191,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
     private volatile boolean closed;
     @CheckForNull private volatile CountDownLatch whenClosed;
 
-    <V extends @Nullable Object, U extends @Nullable Object>
+    <V extends Object, U extends Object>
         ListenableFuture<U> applyClosingFunction(
             ClosingFunction<? super V, U> transformation, @ParametricNullness V input)
             throws Exception {
@@ -2216,7 +2204,7 @@ public final class ClosingFuture<V extends @Nullable Object> {
       }
     }
 
-    <V extends @Nullable Object, U extends @Nullable Object>
+    <V extends Object, U extends Object>
         FluentFuture<U> applyAsyncClosingFunction(
             AsyncClosingFunction<V, U> transformation, @ParametricNullness V input)
             throws Exception {
@@ -2286,7 +2274,6 @@ public final class ClosingFuture<V extends @Nullable Object> {
    * Returns an object that can be used to wait until this objects' deferred closeables have all had
    * {@link Runnable}s that close them submitted to each one's closing {@link Executor}.
    */
-  @VisibleForTesting
   CountDownLatch whenClosedCountDown() {
     return closeables.whenClosedCountDown();
   }
